with GNATCOM.Dispinterface;

package MSHTML.ISVGPathSegCurvetoQuadraticRel_Object is

   type ISVGPathSegCurvetoQuadraticRel_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_x
     (This : ISVGPathSegCurvetoQuadraticRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x
     (This : ISVGPathSegCurvetoQuadraticRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y
     (This : ISVGPathSegCurvetoQuadraticRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y
     (This : ISVGPathSegCurvetoQuadraticRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x1
     (This : ISVGPathSegCurvetoQuadraticRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x1
     (This : ISVGPathSegCurvetoQuadraticRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y1
     (This : ISVGPathSegCurvetoQuadraticRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y1
     (This : ISVGPathSegCurvetoQuadraticRel_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGPathSegCurvetoQuadraticRel_Object;

